# Functor OpamVCS.Make

    module Make: functor (VCS : VCS) -> OpamRepository.BACKEND

Create a backend from a `VCS` implementation.

Parameters:

`VCS` | : | `VCS`

    val pull_url : OpamTypes.package ->
           OpamTypes.dirname ->
           string option ->
           OpamTypes.address ->
           OpamTypes.generic_file OpamTypes.download OpamProcess.job

    val pull_repo : OpamTypes.repository -> unit OpamProcess.job

    val pull_archive : OpamTypes.repository ->
           OpamTypes.filename -> OpamTypes.filename OpamTypes.download OpamProcess.job

    val revision : OpamTypes.repository -> OpamTypes.version option OpamProcess.job